It is currently Sat Aug 19, 2017 11:27 pm

All times are UTC [ DST ]




 Page 1 of 1 [ 3 posts ] 
Author Message
 Post subject: Error when i itent to install libpq++4.0
PostPosted: Wed Sep 23, 2009 8:02 pm 

Joined: Wed Sep 23, 2009 5:33 pm
Posts: 1
Hy i recive this eror when i intent to instal libpq++4.o

root@server [~/libpq++-4.0]# gmake
g++ -c  -DHAVE_NAMESPACE_STD -DHAVE_CXX_STRING_HEADER -DDLLIMPORT="" -I/usr/local/pgsql/include pgdatabase.cc
pgdatabase.cc: In member function âint PgDatabase::CmdTuples() constâ:
pgdatabase.cc:75: error: âatoiâ was not declared in this scope
gmake: *** [pgdatabase.o] Error 1


and if i continue withe postgres en gnuworld instalation on make of gnuworld gives me this error

gmake[1]: Leaving directory `/home/online/gnuworld/mod.cservice'
Making all in mod.dronescan
gmake[1]: Entering directory `/home/online/gnuworld/mod.dronescan'
if /bin/sh ../libtool --tag=CXX --mode=compile g++ -DHAVE_CONFIG_H -I. -I. -I..                                         /include    -I../db -I../libgnuworld -I../include -W -Wall -pipe -I../libltdl -                                         I../db -g -O0 -pthread -MT libdronescan_la-jfChannel.lo -MD -MP -MF ".deps/libd                                         ronescan_la-jfChannel.Tpo" -c -o libdronescan_la-jfChannel.lo `test -f 'jfChann                                         el.cc' || echo './'`jfChannel.cc; \
        then mv -f ".deps/libdronescan_la-jfChannel.Tpo" ".deps/libdronescan_la                                         -jfChannel.Plo"; else rm -f ".deps/libdronescan_la-jfChannel.Tpo"; exit 1; fi
 g++ -DHAVE_CONFIG_H -I. -I. -I../include -I../db -I../libgnuworld -I../include                                          -W -Wall -pipe -I../libltdl -I../db -g -O0 -pthread -MT libdronescan_la-jfChan                                         nel.lo -MD -MP -MF .deps/libdronescan_la-jfChannel.Tpo -c jfChannel.cc  -fPIC -                                         DPIC -o .libs/libdronescan_la-jfChannel.o
In file included from jfChannel.cc:20:
jfChannel.h:60: warning: type qualifiers ignored on function return type
jfChannel.h:63: warning: type qualifiers ignored on function return type
jfChannel.h:66: warning: type qualifiers ignored on function return type
jfChannel.h:100: warning: type qualifiers ignored on function return type
jfChannel.cc: In member function 'void gnuworld::ds::jfChannel::addJoin(gnuworl                                         d::iClient*)':
jfChannel.cc:46: error: no matching function for call to 'find(std::_List_const                                         _iterator<std::basic_string<char, std::char_traits<char>, std::allocator<char>                                          > >&, std::_List_const_iterator<std::basic_string<char, std::char_traits<char>,                                          std::allocator<char> > >&, const std::string)'
gmake[1]: *** [libdronescan_la-jfChannel.lo] Error 1
gmake[1]: Leaving directory `/home/online/gnuworld/mod.dronescan'
gmake: *** [all-recursive] Error 1


and i dont know wath to do
Tanks for your precios time

k i rezov that problem but now gives me this when the openchanfix intent to update the data base

*** [chanfix::prepareUpdate] Updating the SQL database (unthreaded [no boost]).
[OUT]: AB O #valhalla :[C] Starting to update the SQL database.
[OUT]: AB O #valhalla :[C] Created snapshot map in 0 ms.


and go to net split the gnuworld wath cob be the problem because i install the boost exacle as they say in the tutorial


Offline
 Profile  
 
 Post subject: Re: Error when i itent to install libpq++4.0
PostPosted: Sat Oct 31, 2009 11:18 pm 

Joined: Fri May 23, 2008 7:13 pm
Posts: 14
yum -y install gcc*
yum -y install boost*


Offline
 Profile  
 
 Post subject: Re: Error when i itent to install libpq++4.0
PostPosted: Sat Nov 07, 2009 9:54 am 
User avatar

Joined: Sat Jul 15, 2006 4:55 pm
Posts: 32
Location: /root
Even though this is an old post, I'll still post as I've come up with this error just today. This is caused by gcc 4.3, so you need to downgrade (which I couldn't do on Slackware 13 as it f*ed up everything in gcc). I used Slackware 10.2, and it has gcc 3.4.5...everything compiled like it should. Used pgsql 8.1.7 and tcl 8.4, that's about all :)

Enjoy!



_________________
Only God can judge me !
Offline
 Profile  
 
Display posts from previous:  Sort by  
 Page 1 of 1 [ 3 posts ] 

All times are UTC [ DST ]


Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  

cron